import type { CST, AST } from "yaml";
import type YAML from "yaml";
import type { Alias } from "yaml/types";
import { Pair } from "yaml/types";
export { Type } from "yaml/util";
export declare const PairType: typeof Pair.Type;
export declare type CSTDirective = CST.Directive;
export declare type CSTDocument = CST.Document;
export declare type CSTAlias = CST.Alias;
export declare type CSTBlockValue = CST.BlockValue;
export declare type CSTPlainValue = CST.PlainValue;
export declare type CSTQuoteValue = CST.QuoteValue;
export declare type CSTMap = CST.Map;
export declare type CSTSeq = CST.Seq;
export declare type CSTFlowMap = CST.FlowMap;
export declare type CSTFlowSeq = CST.FlowSeq;
export declare type CSTMapKey = CST.MapKey;
export declare type CSTMapValue = CST.MapValue;
export declare type CSTSeqItem = CST.SeqItem;
export declare type CSTNode = CSTDirective | CSTDocument | CSTContentNode | CSTMapItem | CSTSeqItem;
export declare type CSTMapItem = CSTMapKey | CSTMapValue;
export declare type CSTContentNode = CSTAlias | CSTScalar | CSTMap | CSTSeq | CSTFlowMap | CSTFlowSeq;
export declare type CSTScalar = CSTBlockValue | CSTPlainValue | CSTQuoteValue;
export declare type CSTBlankLine = CST.BlankLine;
export declare type CSTComment = CST.Comment;
export declare type CSTFlowChar = CST.FlowChar;
export declare type CSTRange = CST.Range;
export declare type ASTNode = ASTDocument | ASTContentNode;
export declare type ASTDocument = YAML.Document.Parsed;
export declare type ASTContentNode = ASTBlockMap | ASTFlowMap | ASTBlockSeq | ASTFlowSeq | ASTPlainValue | ASTQuoteDouble | ASTQuoteSingle | ASTBlockLiteral | ASTBlockFolded | ASTAlias;
export declare type ASTBlockMap = AST.BlockMap;
export declare type ASTFlowMap = AST.FlowMap;
export declare type ASTBlockSeq = AST.BlockSeq;
export declare type ASTFlowSeq = AST.FlowSeq;
export declare type ASTPlainValue = AST.PlainValue;
export declare type ASTQuoteDouble = AST.QuoteDouble;
export declare type ASTQuoteSingle = AST.QuoteSingle;
export declare type ASTBlockLiteral = AST.BlockLiteral;
export declare type ASTBlockFolded = AST.BlockFolded;
export declare type ASTAlias = Alias;
export declare type ASTPair = Pair;
